Run a JAR file on Amazon EMR which I created using Hadoop 2.7.5

0 votes
I found that Amazon EMR has changed it's hadoop version from 2.7.3 to 2.8.3 and there is no option for 2.7.5. Now, I am using custom jar which is created using hadoop 2.7.5. Is there any way to run that JAR on Amazon EMR? The cluster is terminating with error while I am trying to run that jar using existing EMR version (either with hadoop 2.7.3 or 2.8.3) which is logical.
Oct 15, 2018 in AWS by findingbugs
• 4,750 points
42 views

1 answer to this question.

0 votes

I suggest you recompile the code or downgrade back to 2.7.3, which should be able to run most 2.7.5 code
Amazon keeps all its EMR versions intact. All you need to do while lauching a EMR job is specify the release lable. E.g. for 2.7.3, I use emr-5.11.0 . Here is detailed info :

https://docs.aws.amazon.com/emr/latest/ReleaseGuide/images/emr-releases-5x.png

answered Oct 15, 2018 by Priyaj
• 56,540 points

Related Questions In AWS

0 votes
1 answer
0 votes
1 answer

How can I call Amazon's AWS kms decrypt function without using a binary file?

Not sure if you've already found this, ...READ MORE

answered Aug 30, 2018 in AWS by Priyaj
• 56,540 points
1,323 views
–1 vote
1 answer

How to read a csv file stored in Amazon S3 using csv.DictReader

The code would be something like this: import ...READ MORE

answered Oct 25, 2018 in AWS by Archana
• 5,560 points
7,681 views
0 votes
1 answer

how to access AWS S3 from Lambda in VPC

With boto3, the S3 urls are virtual by default, ...READ MORE

answered Sep 28, 2018 in AWS by Priyaj
• 56,540 points
1,696 views
0 votes
2 answers
0 votes
1 answer

How can I install curl 7.34 or later on Amazon linux old instance

got answer from this link https://www.digitalocean.com/community/questions/how-to-upgrade-curl-in-centos6 worked for ...READ MORE

answered Aug 9, 2018 in AWS by Priyaj
• 56,540 points
783 views